summaryrefslogtreecommitdiffstats
path: root/libraries/libldm
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2022-08-21 20:31:08 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-08-27 22:50:27 +0700
commit2fa2cab882784349377da879c4d1911511278e1a (patch)
tree73555642723076a7deba8e3966ff3838d5587866 /libraries/libldm
parent4cc2c5486d33cc2ca1415f1790b1c0a8177d8aaa (diff)
downloadslackbuilds-2fa2cab882784349377da879c4d1911511278e1a.tar.gz
slackbuilds-2fa2cab882784349377da879c4d1911511278e1a.tar.xz
libraries/libldm: Added (Microsoft Windows Dynamic Disk Library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libldm')
-rw-r--r--libraries/libldm/README21
-rw-r--r--libraries/libldm/libldm.SlackBuild127
-rw-r--r--libraries/libldm/libldm.info10
-rw-r--r--libraries/libldm/rc.ldm44
-rw-r--r--libraries/libldm/slack-desc19
5 files changed, 221 insertions, 0 deletions
diff --git a/libraries/libldm/README b/libraries/libldm/README
new file mode 100644
index 0000000000..3af2a62a2f
--- /dev/null
+++ b/libraries/libldm/README
@@ -0,0 +1,21 @@
+libldm is a tool and library for
+managing Microsoft Windows Dynamic Disks.
+which use Microsoft's LDM metadata. It can inspect them
+and also create and remove device-mapper block devices
+which can be mounted.
+
+Although a filesystem can be mounted read-write
+and its contents modified, ldmtool is not able to
+modify the LDM metadata itself. That is, it cannot
+create, remove or edit dynamic disks.
+
+It is also not able to mount RAID5 volumes which
+have a partition missing, although it can mount mirrored
+volumes with a partition missing. However,
+mounting a volume with a missing partition is not recommended,
+as ldmtool does not update the LDM metadata in any way.
+This means Windows will have no way to determine that the partitions
+are not synchronised when it subsequently mounted,
+which may result in corruption.
+
+
diff --git a/libraries/libldm/libldm.SlackBuild b/libraries/libldm/libldm.SlackBuild
new file mode 100644
index 0000000000..055443b2c9
--- /dev/null
+++ b/libraries/libldm/libldm.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Slackware build script for libldm
+
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libldm
+VERSION=${VERSION:-0.2.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+./autogen.sh
+
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --bindir=/usr/bin \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+
+make
+make install DESTDIR=$PKG
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libldm/libldm.info b/libraries/libldm/libldm.info
new file mode 100644
index 0000000000..558265dba3
--- /dev/null
+++ b/libraries/libldm/libldm.info
@@ -0,0 +1,10 @@
+PRGNAM="libldm"
+VERSION="0.2.5"
+HOMEPAGE="https://github.com/mdbooth/libldm"
+DOWNLOAD="https://github.com/mdbooth/libldm/archive/libldm-0.2.5/libldm-0.2.5.tar.gz"
+MD5SUM="ab38c1a47275eebb9c9cbcaf16220636"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/libraries/libldm/rc.ldm b/libraries/libldm/rc.ldm
new file mode 100644
index 0000000000..6faf46ff19
--- /dev/null
+++ b/libraries/libldm/rc.ldm
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+
+PATH=/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin
+NAME="ldm"
+BIN=@bindir@/ldmtool
+DESC="Windows Logical Disk Manager volumes"
+
+# Exit if package not installed
+
+[ -x "$BIN" ] || exit 0
+
+ldm_start() {
+ echo "Starting $DESC"
+ $BIN create all
+ echo "Started $DESC"
+}
+
+ldm_stop() {
+ echo "Stopping $DESC"
+ $BIN remove all
+ echo "Stopped $DESC"
+}
+
+ldm_restart() {
+ ldm_stop
+ sleep 3
+ ldm Start
+}
+
+
+case "$1" in
+'start')
+ldm_start
+;;
+'stop')
+ldm_stop
+;;
+'restart')
+ldm_restart
+;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
diff --git a/libraries/libldm/slack-desc b/libraries/libldm/slack-desc
new file mode 100644
index 0000000000..c037ef3f17
--- /dev/null
+++ b/libraries/libldm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libldm: libldm (Microsoft Windows Dynamic Disk Library)
+libldm:
+libldm: libldm is a tool for managing Microsoft Windows Dynamic
+libldm: disk library.
+libldm:
+libldm:
+libldm: Homepage:https://github.com/mdbooth/libldm
+libldm:
+libldm:
+libldm:
+libldm: